Bug 1176176 (CVE-2014-8136) - CVE-2014-8136 libvirt: local denial of service in qemu/qemu_driver.c
Summary: CVE-2014-8136 libvirt: local denial of service in qemu/qemu_driver.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8136
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1176179 1184407
Blocks: 1176178
TreeView+ depends on / blocked
 
Reported: 2014-12-19 15:54 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:25 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that QEMU's qemuDomainMigratePerform() and qemuDomainMigrateFinish2() functions did not correctly perform a domain unlock on a failed ACL check. A remote attacker able to establish a connection to libvirtd could use this flaw to lock a domain of a more privileged user, causing a denial of service.
Clone Of:
Environment:
Last Closed: 2015-08-19 22:28:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Description Vasyl Kaigorodov 2014-12-19 15:54:27 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-8136 to
the following vulnerability:

Name: CVE-2014-8136
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8136
Assigned: 20141010
Reference: http://secunia.com/advisories/61111

The (1) qemuDomainMigratePerform and (2) qemuDomainMigrateFinish2
functions in qemu/qemu_driver.c in libvirt do not unlock the domain
when an ACL check fails, which allow local users to cause a denial of
service via unspecified vectors.

Upstream commit that addresses this:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=2bdcd29c713dfedd813c89f56ae98f6f3898313d

Comment 1 Vasyl Kaigorodov 2014-12-19 15:57:24 UTC
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1176179]

Comment 4 Eric Blake 2015-01-14 18:52:18 UTC
See also the upstream announcement:
http://security.libvirt.org/2014/0010.html

Comment 6 Fedora Update System 2015-02-15 03:06:57 UTC
libvirt-1.2.9.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-17 08:10:28 UTC
libvirt-1.1.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-03-05 07:48:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0323 https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.